# NumericTypeConstructor Class Reference

`#include <NumericTypeConstructor.hpp>`

List of all members.

## Public Member Functions

| NumericTypeConstructor (const XMLCh *typeURI, const XMLCh *typeName, const MAPM &value, AnyAtomicType::AtomicObjectType primitiveType, xercesc::MemoryManager *mm)
virtual | ~NumericTypeConstructor ()
virtual const StaticType & | getStaticType () const
virtual Item::Ptr | createItem (const DynamicContext *context) const
virtual std::string | asString (const DynamicContext *context) const
virtual const XMLCh * | getTypeURI () const
virtual const XMLCh * | getTypeName () const

## Constructor & Destructor Documentation

NumericTypeConstructor::NumericTypeConstructor | ( | const XMLCh * | typeURI,
|  | const XMLCh * | typeName,
|  | const MAPM & | value,
|  | AnyAtomicType::AtomicObjectType | primitiveType,
|  | xercesc::MemoryManager * | mm
| ) |

virtual NumericTypeConstructor::~NumericTypeConstructor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual std::string NumericTypeConstructor::asString | ( | const DynamicContext * | context | ) | const`[virtual]`

virtual Item::Ptr NumericTypeConstructor::createItem | ( | const DynamicContext * | context | ) | const`[virtual]`

virtual const StaticType& NumericTypeConstructor::getStaticType | ( |  | ) | const`[inline, virtual]`

virtual const XMLCh* NumericTypeConstructor::getTypeName | ( |  | ) | const`[inline, virtual]`

virtual const XMLCh* NumericTypeConstructor::getTypeURI | ( |  | ) | const`[inline, virtual]`

The documentation for this class was generated from the following file:

- NumericTypeConstructor.hpp